Subject: Update scientific Python packages
From: Thomas Danckaert <[email-masked]>
To: [email-masked]
Date: Wed, 22 Feb 2017 11:30:15 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm submitting a patch series to update numpy, matplotlib, scipy and 
ipython.  I've split out the documentation for numpy and matplotlib 
into separate packages to avoid issues with the following cyclic 
dependencies:

  - numpy documentation depends on matplotlib, which depends on numpy.

  - documentation for the new version of matplotlib also depends on
    ipython, which depends on matplotlib and numpy.

If the preference is to work with multiple outputs instead, I can 
work out something with “bootstrap” packages and 
package-input-rewriting, but I like the simplicity of separate 
documentation packages (which also avoids repeatedly building the 
same package for bootstrapping purposes).

Thomas